trust-store: core::trust::Agent::RequestParameters Struct Reference

trust-store 2.0.0 Provides a common implementation of a trust store to be used by trusted helpers.

Public Attributes | List of all members
core::trust::Agent::RequestParameters Struct Reference

Summarizes all parameters for processing a trust request. More...

`#include <agent.h>`

Collaboration diagram for core::trust::Agent::RequestParameters:

## Public Attributes
struct {
core::trust::Uid uid
| The user id under which the requesting application runs. More...
core::trust::Pid pid
| The process id of the requesting application. More...
std::string id
| The id of the requesting application. More...
} | application
| All application-specific parameters go here. More...
Feature | feature
| The service-specific feature identifier. More...
std::string | description
| An extended description that should be presented to the user on prompting. More...

## Detailed Description

Summarizes all parameters for processing a trust request.

Definition at line 65 of file agent.h.

## Member Data Documentation

## ◆ application

struct { ... } core::trust::Agent::RequestParameters::application

All application-specific parameters go here.

## ◆ description

std::string core::trust::Agent::RequestParameters::description

An extended description that should be presented to the user on prompting.

Definition at line 80 of file agent.h.

## ◆ feature

Feature core::trust::Agent::RequestParameters::feature

The service-specific feature identifier.

Definition at line 78 of file agent.h.

## ◆ id

std::string core::trust::Agent::RequestParameters::id

The id of the requesting application.

Definition at line 75 of file agent.h.

## ◆ pid

core::trust::Pid core::trust::Agent::RequestParameters::pid

The process id of the requesting application.

Definition at line 73 of file agent.h.

## ◆ uid

core::trust::Uid core::trust::Agent::RequestParameters::uid

The user id under which the requesting application runs.

Definition at line 71 of file agent.h.

The documentation for this struct was generated from the following file:

- /build/trust-store-git/src/trust-store/include/core/trust/agent.h